{ config, lib, pkgs, ... }:

let
  cfg = config.samfelag.modules.shell.starship;
in
{
  options.samfelag.modules.shell.starship = {
    enable = lib.mkEnableOption "A prompt for any shell";
  };
  config = lib.mkIf cfg.enable {
      hm.programs.starship = {
        enable = true;
        settings = {
          add_newline = false;

          # Prompt on the right
          right_format = "$time";
          time.disabled = false;

          # Status: Show error code of failed commands
          status.disabled = false;
        };
      };
  };
}
